#!/bin/sh

SYSTEMCTL=0
if [ -f /usr/bin/systemctl ]
then
    SYSTEMCTL=1
fi
if [ -f /bin/systemd ]
then
    SYSTEMCTL=1
fi
if [ -f /usr/bin/systemd ]
then
    SYSTEMCTL=1
fi


instances=$(ps aux | grep -v grep | grep "raccess@" | wc -l)
if [ $instances -eq 0 ]
then
    echo "Radmin down - Restarting service."
    if [ $SYSTEMCTL -eq 1 ]
    then
        systemctl restart radmin
    else
        service radmin restart
    fi
else
    echo "Radmin up. Nothing to do"
fi
